<?php 
/**
 * @package  Feedo
 */ 
namespace Inc\Base;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Adds feedo_shopid option to database option table
 * Stores plugin status, website domain and email in FEEDO server
 */
class Activate{
	public static function feedoactivate() {
		add_option( 'feedo_shopid', '' );
		$email = get_option('admin_email');
		$domain = get_option('siteurl');
		$currentDate = \Inc\Common::currentDate();
		$lang = get_locale();
		if($lang){
			$t = explode("_",$lang);
			if($t) $lang = $t[0];
		}else{
			$lang = get_bloginfo("language");
			if($lang){
				$t = explode("-",$lang);
				if($t) $lang = $t[0];
			}
		}
		if(empty($lang)) $lang = 'en';
		$currency = get_option('woocommerce_currency');
		if(empty($currency)) $currency = 'USD';
		$country = get_option('woocommerce_default_country');
		if($country){
			$t = explode(":",$country);
			if($t) $country = $t[0];
		}else{
			$country = "US";
		}
		$options = array(
			'domain' => $domain,
			'shop_type'=>'woocommerce',
			'plugin_url'=> FEEDO_PLUGINURL,	
			'createdDate'=> $currentDate,
			'email'=> $email,
			'country'=> $country,
			'currency'=> $currency,
			'language'=> $lang,
			'version'=> '120',
		);
		// calls FEEDO to get shopid and saves status.
		$ajaxdata = \Inc\Common::getServerData('api/save_info',$options);
		if( $ajaxdata ){
			$x = update_option( 'feedo_shopid', ''.$ajaxdata->shopid );
		}
	}
}