<?php
/**
 * @package  Feedo
 */
namespace Inc\Base;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Adds scripts and stylesheets to plgin pages
 */
class Enqueue{
	public function register() {
		add_action( 'admin_enqueue_scripts', array( $this, 'feedo_enqueue_files' ) );		
	}
	
	public function feedo_enqueue_files() {
		$page = "";
		if( isset($_GET['page']) ){
			$page = $_GET['page'];
		}
		$pos = strpos($page, 'feedo');
		// add styles and scripts only if its feedo page
		if ( $pos !== false ) {
			wp_enqueue_style( 'feedostyle', FEEDO_PLUGIN_URL . 'assets/feedocommerce.css',array(), null);
			wp_enqueue_script( 'feedoscript', FEEDO_PLUGIN_URL . 'assets/feedocommerce.js',array(), null );
			wp_enqueue_script( 'heatmap', FEEDO_PLUGIN_URL . 'assets/heap_WP.js',array(), null );
			wp_enqueue_style( 'select2style', 'https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css',array(), null);
			wp_enqueue_script( 'select2script', 'https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js',array(), null );
		}
	}
}