<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * template for showing published Google Products
 */
header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');

$data = \Inc\Common::getServerData('api/getPublished',array('shopid' => $shopid));
$count = $data->optcount;

?>
<!-- show help link -->
<div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/t/wordpress/" target="_blank" class="help">Help</a></div>
<div class="feedowrapper">
<!-- header -->
<div class="sticky-header">
    <a href="admin.php?page=feedo">All</a>
    <a href="admin.php?page=feedo_optimized">Optimized<?php if($count){?><span class="badge"><?php echo $count;?></span><?php } ?></a>
    <a href="#" class="active">Published</a>
</div>
<div class="feedocontent">
<h1>Published Products</h1>
<!--<p>Please allow some time for your products to show up here</p>-->
<p>All products published to Google Merchant Center.</p>
<p><strong>Note</strong>: Please allow some time for the evaluation of your products.</p>

<section class="product-list header">
	<div class="product-image">Image</div>
	<div class="product-info">Info</div>
	<div class="product-category">Category</div>
	<div class="product-status">Status</div>
	<div style="clear:both">&nbsp;</div>
</section>
	
<div class="products" id="published-products">   
  <input type="hidden" name="nextpage" id="nextpage" value=""/>
	<?php /*if($gmcProducts) { ?>
	
	<section class="product-list header">
        <div class="product-image">Image</div>
        <div class="product-info">Info</div>
        <div class="product-category">Category</div>
        <div class="product-status">Status</div>
        <div style="clear:both">&nbsp;</div>
    </section>
	
	<?php foreach ($gmcProducts as $feedx){ ?>
        <section class="product-list product" id="">
        <div class="product-image"><img src="<?php echo $feedx->imageLink;?>"></div>
        <div class="product-info">
        	<div class="product-title"><?php echo $feedx->title;?></div>
        	<div class="product-id"><?php echo $feedx->id;?></div>
        </div>
        <?php if ($feedx->GMCTitle != ''): ?> 
        	<div class="product-category"><?php echo $feedx->GMCTitle;?></div>
        <?php else: ?>
        	<div class="product-category"> N/A </div>	
        <?php endif; ?>
       
	   <div class="product-status">
        <?php if ($feedx->approvalStatus === 'Updated'): ?>
            <span class="tag  grey"><?php echo $feedx->approvalStatus;?></span>
        <?php elseif ($feedx->approvalStatus === 'In-review'): ?>
            <span class="tag  orange"><?php echo $feedx->approvalStatus;?></span>
        <?php elseif ($feedx->approvalStatus === 'Published'): ?>
            <span class="tag  green"><?php echo $feedx->approvalStatus;?></span>
        <?php elseif ($feedx->approvalStatus === 'disapproved'): ?>
            <span class="tag  red" ><?php echo $feedx->approvalStatus;?></span>
        <?php else: ?>
            <span class="tag orange2"><?php if(empty($feedx->approvalStatus)) echo 'Sent to GMC'; else echo $feedx->approvalStatus;?></span>
        <?php endif; ?>        
			<?php if (($feedx->approvalStatus === 'disapproved')) {?>
        		<p>View Errors</p>
        	<?php } ?>
			<div class="message">
				<ul>
        		<?php foreach ( $feedx->warningList as $warning){ ?>
        			<li> <b> <?php echo $warning->severity ?> </b> : <?php echo $warning->id ?>  </li>
        		<?php } ?>
        		</ul>
        	</div>        	
        </div>
		<div style="clear:both"></div>
    </section>
	<?php } }else{ ?>
	<div style="clear:both">&nbsp;</div>
		<h3 style="text-align:center;width:90%;margin:0 auto">Oops! No Products in your GMC account, either your published products are expired or you haven't published your products yet.<br><br>Go ahead and visit the All/Optimized tab and accordingly publish your products to GMC.</h3>
	<?php } */?>
	</div>
<div id='tr-footer' style="margin:50px 0">
	<div class="load">Loading Your Products....</div>
</div>
<h3 style="text-align:center;width:80%;margin:0 auto;padding-top:100px;display:none" id="noprod">Oops! No Products in your GMC account, either your published products are expired or you haven't published your products yet.<br><br>Go ahead and visit the All/Optimized tab and accordingly publish your products to GMC.</h3>
<div class="overlay">
 <div class="popup-wrap">
  <div class="popup-box errors-found">
   <form id="bulk-edit-form">
    <input id="selectedIds" name="selectedIds" type="hidden" value="">
    <div class="popup-title">Errors Found</div>
    <div class="content-block"> </div>
    <div class="footer">
     <div class="block">
      <div class="cancel" id="close-errors-found">CLOSE</div>
     </div>
    </div>
   </form>
  </div>
 </div>
</div>

</div>
</div>
<script type="text/javascript">
var scrol = true;
function getGMC(id){
	var nextpage = jQuery('#nextpage').val();
	if(id == 'p' && nextpage == '') {
		$('#tr-footer').hide();
		return;
	}
	jQuery.ajax({
		url: '<?php echo FEEDO_SERVER_URL;?>api/getGMCProduct',
		type: "post",
		data: {'status':id,'shopid':'<?php echo $shopid;?>','nextpage':nextpage}
	}).done(function(data){	
		resultObj =  JSON.parse(data);
		var feeddata = resultObj.feeds;		
		var npage = resultObj.nextpage;
		jQuery("#nextpage").val(npage);
		var ln = feeddata.length;
		if(ln < 10){
			$('#tr-footer').hide();
			scrol = false;
			if(id=='f'){
				jQuery('.product-list.header').hide();
				$('#noprod').show();
			}		
		}else{
			jQuery("#published-products").append(feeddata);
		}		
   }).fail(function(jqXHR, ajaxOptions, thrownError){});
}
jQuery(document).ready(function() {
	getGMC('f');	
});
jQuery(window).scroll(function() {
	if((jQuery(window).scrollTop() + $(window).height() >= jQuery(document).height())  ){
		console.log('Loading more GMC Product');
		if(scrol) getGMC('p');
	}
});
</script>