<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * setting page template
 * GMC Setting - Auto update, switch account
 * Category Mapping
 */
header('Access-Control-Allow-Origin: *'); 
header('Access-Control-Allow-Methods: POST'); 
header('Access-Control-Max-Age: 100000');
if ( ! session_id() ) {
	session_start();
}
$shopid = get_option('feedo_shopid');
$gmc = \Inc\Common::getServerData('wpapi/gmc_setting',array('shopid' => $shopid));
$isGMCAutoUpload = $gmc->IS_GMC_AUTOLOAD;
$tab = ( ! empty( $_GET['tab'] ) ) ? esc_attr( $_GET['tab'] ) : 'category';
echo \Inc\Common::page_tabs( $tab );
if (isset( $_GET['action'] ) && isset( $_GET['id'] )):
	if($_GET['action']=='delete'):
		$removecatmap = \Inc\Common::getServerData('wpapi/delete_category_mapping',array('id' => intval($_GET['id']),'shopid' => $shopid ));
		$_SESSION['feedo_message'] = "Changes Saved Successfully.";		
		wp_redirect(FEEDO_SETTINGURL);
	endif;
endif;

$message = $_SESSION['feedo_message'];
$_SESSION['feedo_message'] = "";
?>
<div class="feedo-header">Feedo <a href="https://feedo.sharedemos.com/t/wordpress/" target="_blank" class="help">Help</a></div>

<div class="feedowrapper">
<style>.feedocontent h1{font-size:20px}.feedocontent{padding-top:30px}</style>
<div class="feedocontent">
<?php
if ( $tab == 'gmc' ) {?>
<p class="sucessmsg" style="color:green;font-weight: bold;font-size: 14px; margin-bottom:10px;margin-top:-10px;"></p>
<h1 style="display:inline-block">GMC Settings</h1>
		<button class="button greybtn save-gmc" style="float:right;margin:20px 16px -10px 0">Save</button>
		<div style="clear:both"></div>
<p style="margin:0 0 20px 0">Update or remove Google Merchant account.</p>
		<section class="gmc-card tab-info">
			<div class="row">
		<div class="column eight">
		<h3 style="margin-top:0">Automatic Update</h3>
		<p>Any change in Price &amp; Inventory of your product will be pushed automatically to Google Merchant Center.</p>
		</div>
		<div class="column four align-right" style="float: right">
		<div id="switch" class="switch active">
			<p>on</p>
			<div class="circle"></div>
			<p>off</p>
		</div>
		<select id="isGMCAutoUpload" name="isGMCAutoUpload" class="form-control selectpicker" style="display:none">
			<option value="N">No</option>
			<option value="Y">Yes</option>											   
		</select>
		</div></div>
		<div style="clear:both">&nbsp;</div>	
		</section>
		
		<section class="gmc-card tab-info">
	<div class="profile-card tab-info">
		<div class="row">
		<div class="column eight">
		<h3 class="column twelve">Google Merchant Center account profile</h3>
		</div>
		<div class="column four">
		<h3><?php echo $gmc->MERCHANT_ID;?></h3>
		</div>
		<div class="column twelve"><strong>Note:-</strong> At this moment Feedo doesn't allow switching merchant ID for Multi-client GMC account holders, in case you need any assistance please feel free to reach out to our Support team <a href="mailto:feedo-support@regalix-inc.com">here</a>.</div>
		<div style="clear:both">&nbsp;</div>
		</div>	
		<button class="button neon-button">Switch Account</button>
	</div>
</section>
<script>
updateSwitch('<?php echo $isGMCAutoUpload ?>');
selectElement('isGMCAutoUpload','<?php echo $isGMCAutoUpload ?>');
jQuery(document).ready(function(){
jQuery('.save-gmc').click(function( event ){
	jQuery(this).addClass('disabled');
	jQuery(this).text('updating...');
	var shopId = "<?php echo $shopid;?>";
	var autogmc = jQuery('#isGMCAutoUpload').val();
	jQuery.ajax({
		url: '<?php echo FEEDO_SERVER_URL;?>api/gmc_update?shopid='+shopId+'&autogmc='+autogmc,
		type: "get",
		crossDomain: true,
	}).done(function(data){
		setTimeout(function() {
		jQuery('.save-gmc').removeClass('disabled');
		jQuery('.save-gmc').text('Save');
		jQuery('.sucessmsg').text('Changes Saved Successfully');
		},2000);
	}).fail(function(jqXHR, ajaxOptions, thrownError){});	
});	
jQuery('.switch').click(function( event){
	if( jQuery(this).hasClass('active') === false){
		jQuery('#isGMCAutoUpload').val('Y');	
	} else {
		jQuery('#isGMCAutoUpload').val('N');
	}
	jQuery(this).toggleClass('active');
});
jQuery('.neon-button').click(function( event){
	var shopId = "<?php echo $shopid;?>";
	jQuery.ajax({
		url: '<?php echo FEEDO_SERVER_URL;?>api/gmc_change?shopid='+shopId,
		type: "get",
		crossDomain: true,
	}).done(function(data){
		window.location='<?php echo FEEDO_PLUGINURL;?>';
	}).fail(function(jqXHR, ajaxOptions, thrownError){});	
});
});
function selectElement(idValue,valueToSelect){
	var element = document.getElementById(idValue);
	element.value = valueToSelect;
}
function updateSwitch(valueToSelect){
	var element = document.getElementById('switch');
	if(valueToSelect == 'Y'){
		element.classList.add("active");
	} else {
		element.classList.remove("active");
	}
}
</script>
</form>
<?php } else{
	// get product category, google categories and mapped categories
	$woocats = get_terms( 'product_cat', array() );
	$gcats = \Inc\Common::getServerData('wpapi/get_google_categories');
	$catmaps = \Inc\Common::getServerData('wpapi/get_category_map',array('shopid' => $shopid));
?>
<p class="sucess-msg" style="color:green;font-weight: bold;font-size: 14px; margin-bottom:10px;margin-top:-10px;"><?php if($message){ echo $message;}?></p>
<div style="clear: both;"></div>
<h1>Category Mapping</h1>
<p>Map your WooCommerce Categories with the available Google Product Categories, your products will be assigned to the chosen Google categories.</p>
<br><br>
<form action="<?php echo get_admin_url(); ?>admin-post.php" method="post">
	<input type="hidden" name="action" value="feedo_catmap_form">
	<div class="row">
	<div class="column four">
	<label><b>WooCommerce Categories:</b></label><br>
	<select name="woocats" class="select" id="woocat" style="width:30%">
	<option value="">Select</option>
	<?php if($woocats):foreach($woocats as $woocat): ?>
	<option value="<?php echo $woocat->term_id."#".$woocat->slug;?>"><?php echo $woocat->name;?></option>
	<?php endforeach;endif;	?>
	</select>
	<p style="color:red;clear:both" class="woomsg"></p>
	</div>
	<div class="column five" style="margin: 0 20px">
	<label><b>Google Product Categories:</b></label><br>
	<select name="gcats" style="width:50%" id="gcat" class="select">
	<option value="">Select</option>
	<?php if($gcats):foreach($gcats as $gcat):?>
	<option value="<?php echo $gcat->GPC_ID; ?>" style="width:200px"><?php echo $gcat->GMC_CAT_NAME;?></option>
	<?php endforeach;endif;	?>
	</select>
	<p style="color:red;clear:both" class="gmsg"></p>
	</div>
	<div class="column two"><label>&nbsp;</label><br><input type="submit" name="submit" id="submit" class="button greybtn catsubmit" style="margin-top:5px;" value="ADD"></div>
	</div>
</form>
<div style="clear: both;">&nbsp;</div>
<?php 
// show category mappings if already exists
if(!empty($catmaps)):?>
	<table class="table"><tbody><tr><th class="bold">WooCommerce Category</th><th class="bold">Google Product Category</th><th class="bold">Action</th></tr>
	<?php if($catmaps):foreach($catmaps as $catmap):?>
	<tr><td><?php echo ucwords( str_replace('-',' ',$catmap->NAME)); ?></td><td><?php echo $catmap->GMC_CAT_NAME; ?></td><td><form action="<?php echo get_admin_url(); ?>admin-post.php" method="post"><input type="hidden" name="action" value="feedo_catdel_form"><input type="hidden" name="catname" value="<?php echo $catmap->NAME; ?>"><input type="hidden" name="catid" value="<?php echo $catmap->ID; ?>"><button class="button">Remove</button></form></td></tr>
	<?php endforeach;endif;?>
	</tbody></table>
<?php endif;?>
<script>
jQuery(document).ready(function() {
    jQuery('.select').select2();
	jQuery(".catsubmit").click(function(e){
		var scat = jQuery('#woocat').val();
		if(scat == ""){
			$('.woomsg').text("Please select WooCommerce Category");
			return false;
		}
		$('.woomsg').text('');
		var gcat = jQuery('#gcat').val();
		if(gcat == ""){
			$('.gmsg').text("Please select Google Product Category");
			return false;
		}
		$('.gmsg').text('');
	});
	
		
		
		
		
	jQuery('.rmbtn').click(function( event ){
		jQuery(this).addClass('disabled');
		var shopId = "<?php echo $shopid;?>";
		var catid = jQuery(this).attr('data-id');
		var rmelm = jQuery(this).closest("tr");
		jQuery.ajax({		
			url: '<?php echo FEEDO_SERVER_URL;?>api/delete_category_mapping',
			type: "post",
			crossDomain: true,
			data: {'id':catid,'shopid':shopId}
		}).done(function(data){
			rmelm.remove();
			jQuery('.sucess-msg').text('Removed Successfully');
		}).fail(function(jqXHR, ajaxOptions, thrownError){});	
	});
});
</script>
<?php } ?>
</div></div>